// Code generated by tablegen. DO NOT EDIT.
package tables

func (t AllTables) TempFollows() TempFollows { return TempFollows(t) }

type TempFollows struct{ alias string }

func (t TempFollows) TableAlias() string { return t.alias }
func (t TempFollows) name() string       { return "TempFollows" }
func (t TempFollows) TableName() string  { return tableName(t.name(), "", t.alias) }
func (t TempFollows) AllColumnNames() []string {
	c := t.Columns()
	return []string{
		c.Id(),
		c.UserId(),
		c.CreatedAt(),
		c.FollowedUserId(),
	}
}

func (t TempFollows) Columns() TempFollowsCols { return TempFollowsCols{tableAlias: t.alias} }

type TempFollowsCols struct{ tableAlias string }

func (c TempFollowsCols) Id() string             { return colName(c.tableAlias, "Id") }             // STRING(36)
func (c TempFollowsCols) UserId() string         { return colName(c.tableAlias, "UserId") }         // STRING(36)
func (c TempFollowsCols) CreatedAt() string      { return colName(c.tableAlias, "CreatedAt") }      // TIMESTAMP NULL OPTIONS (allow_commit_timestamp = true)
func (c TempFollowsCols) FollowedUserId() string { return colName(c.tableAlias, "FollowedUserId") } // STRING(36)
